import React from 'react';
import type { InputProps } from 'antd/es/input';
import type { InputNumberProps } from 'antd/es/input-number';
export declare function formatNumberWithSeparator(number: any, format?: string, step?: number): string;
export declare function formatUnitConversion(value: any, operator: string, multiplier: any): any;
export declare function scientificNotation(number: any, decimalPlaces: any, separator?: string): any;
export declare function formatNumber(props: any): any;
export declare const ReadPretty: React.FC<InputProps & InputNumberProps>;
